Tasktop Dev Support Center

What are the minimum system requirements for running Tasktop Dev Pro or Enterprise?

Last Updated: Feb 08, 2016 08:59AM PST

For later versions of Tasktop Dev, please see the release notes for your specific version of Tasktop Dev to see the minimum system requirements. 

4.0

Your system must meet the following requirements prior to the installation of Tasktop Dev

  • OS: Windows, Mac OS X, Linux.  Official supported versions:
    • Windows XP SP3, Windows Vista, Windows 7, Windows 8 (x86, x64)
    • Ubuntu 12.04
    • Mac OS X Mavericks
  • Hard Disk Space: 1 GB free
  • CPU: 2 Ghz
  • Memory (RAM): 2 GB
  • Display: 1280x1024 or higher resolution
  • Required Software (Eclipse installation):
    • Java™ 6
    • .NET Framework 2.0 is required on Windows
    • Eclipse 3.7.x or higher client (Eclipse 3.8.2 highly recommended):
      • Eclipse Indigo (3.7.x)
      • Eclipse 3.8.x
      • Eclipse Juno (4.2.x)
      • Eclipse Kepler (4.3.x)
      • Eclipse Luna (4.4.x) - See platform limitations for more information
  • Required Software (Standalone installation):
    • Java™ 6 or later is required for non-windows operating systems
    • .NET Framework 2.0 is required to run the Tasktop application on Windows

See the Platform Limitations for more information about the supported operating systems.

 

3.5

Your system must meet the following requirements prior to the installation of Tasktop Dev

  • OS: Windows, Mac OS X, Linux.  Official supported versions:
    • Windows XP SP3, Windows Vista, Windows 7, Windows 8 (x86, x64)
    • Ubuntu 12.04
    • Mac OS X Mavericks
  • Hard Disk Space: 1 GB free
  • CPU: 2 Ghz
  • Memory (RAM): 2 GB
  • Display: 1280x1024 or higher resolution
  • Required Software (Eclipse installation):
    • Java™ 6
    • .NET Framework 2.0 is required on Windows
    • Eclipse 3.6 or higher client:
      • Eclipse Helios (3.6.x)
      • Eclipse Indigo (3.7.x)
      • Eclipse 3.8.x
      • Eclipse Juno (4.x) - See platform limitations for more information
  • Required Software (Standalone installation):
    • Java™ 6 or later is required for non-windows operating systems
    • .NET Framework 2.0 is required to run the Tasktop application on Windows

See the Platform Limitations for more information about the supported operating systems.

 

3.0

Your system must meet the following requirements prior to the installation of Tasktop Dev

  • OS: Windows, Mac OS X, Linux.  Official supported versions:
    • Windows XP SP3, Windows Vista, Windows 7 (x86, x64)
    • Ubuntu 12.04
    • Mac OS X Mountain Lion
  • Hard Disk Space: 1 GB free
  • CPU: 2 Ghz
  • Memory (RAM): 2 GB
  • Display: 1280x1024 or higher resolution
  • Required Software (Eclipse installation):
    • Java™ 6
    • .NET Framework 2.0 is required on Windows
    • Eclipse 3.6 or higher client:
      • Eclipse Helios (3.6.x)
      • Eclipse Indigo (3.7.x)
      • Eclipse 3.8.x
      • Eclipse Juno (4.x) - See platform limitations for more information
  • Required Software (Standalone installation):
    • Java™ 6 or later is required for non-windows operating systems
    • .NET Framework 2.0 is required to run the Tasktop application on Windows

See the Platform Limitations for more information about the supported operating systems.

 

2.8

Your system must meet the following requirements prior to the installation of Tasktop Dev

  • OS: Windows, Mac OS X, Linux.  Official supported versions:
    • Windows XP SP3, Windows Vista, Windows 7 (x86, x64)
    • Ubuntu 12.04
    • Mac OS X Mountain Lion
  • Hard Disk Space: 1 GB free
  • CPU: 2 Ghz
  • Memory (RAM): 2 GB
  • Display: 1280x1024 or higher resolution
  • Required Software (Eclipse installation):
    • Java™ 6
    • .NET Framework 2.0 is required on Windows
    • Eclipse 3.5 or higher client:
      • Eclipse Galileo (3.5.x)
      • Eclipse Helios (3.6.x)
      • Eclipse Indigo (3.7.x)
      • Eclipse 3.8.x
      • Eclipse Juno (4.x) - See platform limitations for more information
  • Required Software (Standalone installation):
    • Java™ 6 or later is required for non-windows operating systems
    • .NET Framework 2.0 is required to run the Tasktop application on Windows

See the Platform Limitations for more information about the supported operating systems.

5d93b669ac8eeade08b822a5df34edcf@tasktop.desk-mail.com
https://cdn.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete